-------------------------------------------------------------------------------
--   OCO Source Materials
--
--   Licensed Materials - Property of IBM
--
--   5724-C02
--
--   (C) Copyright IBM Corp. 2003  All Rights Reserved.
--
--   US Government Users Restricted Rights - Use, duplication or
--   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
-------------------------------------------------------------------------------
--    File Information: %W%
--    Revision: %I%
--    Date: %G% %U%
-------------------------------------------------------------------------------

-------------------------------------------------------------------------------
-- Reset both the Msmt and Mart prune values to -1 to clear all BWM data.
-- WARNING !!: This should only be used to restart from scratch by
-- removing all Msmt and Mart data.
-- After running this script, execute the mart and cdw prune processes in
-- the warehouse to clear out the data using the values set by this script.
--
-- Be sure and reset the prune values back to the length of time you want 
-- to keep your data after the prune jobs have run!
-------------------------------------------------------------------------------

--------------------------------------------------------------------------
-- CDW
----------------------------------------------------------------------------
-- Change the TWH_CDW below to the correct CDW database name, if different.
----------------------------------------------------------------------------
CONNECT TO TWH_CDW;

COMMIT;

UPDATE TWG.Prune_Msmt_Control
   SET PMsmtC_AGE_In_Days = -1
   WHERE Tmsum_cd = 'H' AND MSrc_cd = 'BWM';

COMMIT;
--------------------------------------------------------------------------
-- MART
--------------------------------------------------------------------------

CONNECT TO TWH_MART;

COMMIT;

UPDATE BWM.Prune_Mart_Control
   SET PMartC_Duration = -1
   WHERE Table_Name LIKE 'BWM%';

COMMIT;

