-------------------------------------------------------------------------------
--   OCO Source Materials
--
--   Licensed Materials - Property of IBM
--
--   5724-C02
--
--   (C) Copyright IBM Corp. 2003  All Rights Reserved.
--
--   US Government Users Restricted Rights - Use, duplication or
--   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
-------------------------------------------------------------------------------
--   File Information: %W%
--   Revision: %I%
--   Date: %G% %U%
-------------------------------------------------------------------------------

---------------------------------------------------------------------------------------
-- Reset the Extract_control window for the BWM ETL1 process extraction
---------------------------------------------------------------------------------------
-- WARNING: This should only be used to reset the Extract Control value to extract 
-- all the source TMTP data again. If you already have this data in the 
-- warehouse, doing this could cause insertion errors for duplicate records. 
--
-- If you want to reset the window to the last extract, use the extract_log to get the
-- last value used for the AGGREGATEDATA table and put those values in the 'from'
-- and 'to' columns below.
---------------------------------------------------------------------------------------

-----------------------------------------------------------------------------
-- Change the TWH_CDW below to the correct CDW database name, if different.
-----------------------------------------------------------------------------
CONNECT TO TWH_CDW;

COMMIT;


UPDATE TWG.EXTRACT_CONTROL 
  SET 
	EXTCTL_TO_INTSEQ = -1, 
	EXTCTL_FROM_INTSEQ = -1 
  WHERE EXTCTL_SOURCE LIKE '%AGGREGATEDATA' AND EXTCTL_TARGET LIKE 'BWM%';

COMMIT;

