-------------------------------------------------------------------------------
--   OCO Source Materials
--
--   Licensed Materials - Property of IBM
--
--   5724-C02
--
--   (C) Copyright IBM Corp. 2003  All Rights Reserved.
--
--   US Government Users Restricted Rights - Use, duplication or
--   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
-------------------------------------------------------------------------------
--   File Information: %W%
--   Revision: %I%
--   Date: %G% %U%
-------------------------------------------------------------------------------

---------------------------------------------------------------------------------------
-- Reset the Extract_control window for the BWM ETL2 process extraction
---------------------------------------------------------------------------------------
-- WARNING: This should only be used to reset the Extract Control value to extract
-- all the warehouse data again into the BWM data mart tables. If you already have 
-- this data in the mart tables, doing this could cause insertion errors for 
-- duplicate records.
---------------------------------------------------------------------------------------

-------------------------------------------------------------------------------
-- Change the TWH_CDW below to the correct CDW database name if different
-------------------------------------------------------------------------------
CONNECT TO TWH_CDW;

COMMIT;

UPDATE TWG.EXTRACT_CONTROL 
   SET 
 	EXTCTL_TO_INTSEQ = -1, 
	EXTCTL_FROM_INTSEQ = -1 
   WHERE EXTCTL_SOURCE='TWG.COMP' and EXTCTL_TARGET LIKE 'BWM%';

UPDATE TWG.EXTRACT_CONTROL 
   SET 
	EXTCTL_TO_INTSEQ = -1, 
	EXTCTL_FROM_INTSEQ = -1 
   WHERE EXTCTL_SOURCE='TWG.MSMT' and EXTCTL_TARGET LIKE 'BWM%';

UPDATE TWG.EXTRACT_CONTROL 
   SET 
	EXTCTL_TO_INTSEQ = -1, 
	EXTCTL_FROM_INTSEQ = -1 
   WHERE EXTCTL_SOURCE='BWM.STG_TX_ND_MET' and EXTCTL_TARGET LIKE 'BWM%';

UPDATE TWG.EXTRACT_CONTROL 
   SET 
	EXTCTL_TO_INTSEQ = -1, 
	EXTCTL_FROM_INTSEQ = -1 
   WHERE EXTCTL_SOURCE LIKE 'BWM.COMP%' and EXTCTL_TARGET LIKE 'BWM%';

COMMIT;

